{% extends './subviews/usersmanage/settings/TULAM_setting_default.twig' %}
{% block input %}
	{{ C.Html.checkBox(
      'tokenattribute[' ~ attribute ~ ']',
      oUserToken[attribute],
      ({
        'class' : 'form-checkbox',
        'value' : '1',
        'uncheckValue' : '',
      })
    )}}
	{% if attributeData.useAttributeRestricted %}
		<div class="help-block tulam-checkbox-group tulam-filter-group" data-related-checkbox="tokenattribute_{{ attribute }}">
			<p>{{ attributeData.help }}</p>
			{{ include('./subviews/usersmanage/settings/TULAM_questions_fieldset.twig', {
              attribute: attribute,
              legend: attributeData.title,
              filtersurveyid: originalSurveyId,
              aGroupsQuestions: aRestrictedSurvey.aGroupsQuestions,
          }) }}
		</div>
	{% elseif count(attributeData.filtered) %}
		<div class="help-block tulam-checkbox-group tulam-filter-group" data-related-checkbox="tokenattribute_{{ attribute }}">
			<p>
				<strong>{{ attributeData.title }}</strong>
			</p>
			<p>{{ attributeData.help }}</p>
			<ul class="list-unstyled">
				{% for sid, aRestrictedSurvey in attributeData.filtered %}
					<li>{{ include('./subviews/usersmanage/settings/TULAM_questions_fieldset.twig', {
              attribute: attribute,
              legend: aRestrictedSurvey.title,
              filtersurveyid: sid,
              aGroupsQuestions: aRestrictedSurvey.aGroupsQuestions,
              checked: aRestrictedSurvey.aHiddens,
            }) }}
					</li>
				{% endfor %}
			</ul>
		</div>
	{% endif %}
{% endblock %}
